opencv: CvERTreeTrainData Struct Reference

Public Member Functions | Public Attributes

# CvERTreeTrainData Struct Reference

`#include <ml.hpp>`

Inheritance diagram for CvERTreeTrainData:

List of all members.

## Public Member Functions
virtual const int * | get_cat_var_data (CvDTreeNode *n, int vi, int *cat_values_buf)
virtual const int * | get_cv_labels (CvDTreeNode *n, int *labels_buf)
virtual void | get_ord_var_data (CvDTreeNode *n, int vi, float *ord_values_buf, int *missing_buf, const float **ord_values, const int **missing, int *sample_buf=0)
virtual const int * | get_sample_indices (CvDTreeNode *n, int *indices_buf)
virtual void | get_vectors (const CvMat *_subsample_idx, float *values, uchar *missing, float *responses, bool get_class_idx=false)
virtual void | set_data (const CvMat *trainData, int tflag, const CvMat *responses, const CvMat *varIdx=0, const CvMat *sampleIdx=0, const CvMat *varType=0, const CvMat *missingDataMask=0, const CvDTreeParams &params=CvDTreeParams(), bool _shared=false, bool _add_labels=false, bool _update_data=false)
virtual CvDTreeNode * | subsample_data (const CvMat *_subsample_idx)
## Public Attributes
const CvMat * | missing_mask

## Member Function Documentation

virtual const int* CvERTreeTrainData::get_cat_var_data | ( | CvDTreeNode * | n,
|  | int | vi,
|  | int * | cat_values_buf
| ) |  | `[virtual]`

Reimplemented from CvDTreeTrainData.

virtual const int* CvERTreeTrainData::get_cv_labels | ( | CvDTreeNode * | n,
|  | int * | labels_buf
| ) |  | `[virtual]`

Reimplemented from CvDTreeTrainData.

virtual void CvERTreeTrainData::get_ord_var_data | ( | CvDTreeNode * | n,
|  | int | vi,
|  | float * | ord_values_buf,
|  | int * | missing_buf,
|  | const float ** | ord_values,
|  | const int ** | missing,
|  | int * | sample_buf = `0`
| ) |  | `[virtual]`

Reimplemented from CvDTreeTrainData.

virtual const int* CvERTreeTrainData::get_sample_indices | ( | CvDTreeNode * | n,
|  | int * | indices_buf
| ) |  | `[virtual]`

Reimplemented from CvDTreeTrainData.

virtual void CvERTreeTrainData::get_vectors | ( | const CvMat * | _subsample_idx,
|  | float * | values,
|  | uchar * | missing,
|  | float * | responses,
|  | bool | get_class_idx = `false`
| ) |  | `[virtual]`

Reimplemented from CvDTreeTrainData.

virtual void CvERTreeTrainData::set_data | ( | const CvMat * | trainData,
|  | int | tflag,
|  | const CvMat * | responses,
|  | const CvMat * | varIdx = `0`,
|  | const CvMat * | sampleIdx = `0`,
|  | const CvMat * | varType = `0`,
|  | const CvMat * | missingDataMask = `0`,
|  | const CvDTreeParams & | params = `CvDTreeParams()`,
|  | bool | _shared = `false`,
|  | bool | _add_labels = `false`,
|  | bool | _update_data = `false`
| ) |  | `[virtual]`

Reimplemented from CvDTreeTrainData.

virtual CvDTreeNode* CvERTreeTrainData::subsample_data | ( | const CvMat * | _subsample_idx ) | `[virtual]`

Reimplemented from CvDTreeTrainData.

## Member Data Documentation

const CvMat* CvERTreeTrainData::missing_mask

The documentation for this struct was generated from the following file:

- /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/ml/include/opencv2/ml/ml.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines